using System;
using Xamarin.Forms;
using Xamarin.CommunityToolkit.Extensions;

namespace XamarinDemoApp.SDKMobileSpots
{
	public class InterstitialAdDelegateHandler
	{
        public static void OnAdLoaded()
        {
            Application.Current.MainPage.DisplayToastAsync("Interstitial Ad is loaded");
        }

        
        public static void OnAdDefaultLoaded()
        {
            Application.Current.MainPage.DisplayToastAsync("Interstitial Ad default is loaded");
        }

        public static void OnAdLoadFailed()
        {
            Application.Current.MainPage.DisplayToastAsync("Interstitial Ad Load failed");

        }

        public static void OnAdActionFinished()
        {
            Application.Current.MainPage.DisplayToastAsync("Interstitial Ad action finished");
        }

        public static bool OnAdWillExpand()
        {
            Application.Current.MainPage.DisplayToastAsync("Interstitial Ad will expand");
            return true;
        }

        public static void OnAdExpandFinished()
        {
            Application.Current.MainPage.DisplayToastAsync("Interstitial Ad expansion finished");
        }

        public static bool OnAdWillResize()
        {
            Application.Current.MainPage.DisplayToastAsync("Interstitial Ad will resize");
            return true;
        }

        public static void OnAdResizeFinished()
        {
            Application.Current.MainPage.DisplayToastAsync("Interstitial Ad resizing finished");
        }

        public static void OnAdClosed()
        {
            Application.Current.MainPage.DisplayToastAsync("Interstitial Ad is closed");
        }
    }
}

